首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
iOS 开发实用技术导航
NSHipster 中文版
http://nshipster.cn/
cocos2d 开源 2D 游戏引擎
http://www.cocos2d-iphone.org/
CocoaPods
http://cocoapods.org/
Google Analytics for Mobile 统计解决方案
http://code.google.com/mobile/analytics/
WWDC
https://developer.apple.com/wwdc/
Design Guides and Resources
https://developer.apple.com/design/
Transcripts of WWDC sessions
http://asciiwwdc.com
Cocoa with Love
http://cocoawithlove.com/
Cocoa Dev Central
http://cocoadevcentral.com/
NSHipster
http://nshipster.com/
iOS 开发实用书单
iPhone App Development: The Missing Manual
Cocoa and Objective-C: Up and Running
Cocoa Programming for Mac OS X
深入浅出设计模式 Head First Design Patterns
Style Guides
Google Objective-C Style Guide
NYTimes Objective-C Style Guide
Useful Tools and Services
Charles Web Debugging Proxy
Smore
V2EX  ›  iDev

关于提供 Swift 的 Framework 给人用的若干问题

  •  1
     
  •   junho · 43 天前 · 2416 次点击
    这是一个创建于 43 天前的主题,其中的信息可能已经有所发展或是发生改变。

    1.是不是目标 APP 的 Swift 版本和 SDK 的 Swift 编译版本不一致时就会出现 " incompatible swift version - framework was built with x" 这种问题? 即使是在 Swift5.0 ABI 稳定之后?

    2.了解到 XCFramework 是为了解决了 Module Stability 的问题,也就是解决上面那个问题吗?

    XCFrameworks are a new way to bundle up multiple variants of your framework in a way that it will work across Xcode Versions going forward.

    3.当 XCFramework 是基于 Dynamic Framework 创建出来,目标 APP 打包时也是把整个 XCFramework embed 进去的吗?

    1 回复  |  直到 2019-10-24 23:45:25 +08:00
        1
    troyl   42 天前
    App 的 Swift Version 也要设置到 Swift 5.x
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4008 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 19ms · UTC 07:16 · PVG 15:16 · LAX 23:16 · JFK 02:16
    ♥ Do have faith in what you're doing.